------------------------------------------------------------------------------------
--Name:  	201211[简体征服][任务脚本]战士觉醒任务-挑战魔君
--Creator:	郑洵
--Created:	2020-12-11
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>103


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(102,127)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)


-- 创建，玩家
local hero = CppScriptMgr:QueryHero()

hero:SetPos(102,127)
hero:SetDir(4)
local sex = hero:GetSex()
local touxiang = "NPCBust_npc27064"
if sex == 2 then 
	touxiang = "NPCBust_npc185"
end

-- 铁拳魔君（有半身像）说话
CppScriptMgr:NpcCallOut("General Xiao, this is gonna be our final battle.\n\n\n\n                                     Click ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7126", 150, 430, "Iron Fist", 250, 655)
CppScriptMgr:WaitMilSec(2000)

-- 萧无定（有半身像）说话
CppScriptMgr:NpcCallOut("Don`t listen to him! Let me tell you how to defeat him!\n\n\n\n                                     Click ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc27644", 150, 430, "General Xiao", 250, 655)
CppScriptMgr:WaitMilSec(2500)

-- 主角（有半身像）说话
CppScriptMgr:NpcCallOut("I`m all ears.\n\n\n\n                                     Click ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, touxiang, 150, 430, hero:GetName(), 250, 655)
CppScriptMgr:WaitMilSec(1500)

-- 萧无定（有半身像）说话
CppScriptMgr:NpcCallOut("Abyss Evil Lord is going to summon 3 monsters 10 seconds after the battle begins. You must kill them before he absorbs all their power.\n\n\n\n                                     Click ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc27644", 150, 430, "General Xiao", 250, 655)
CppScriptMgr:WaitMilSec(3500)

-- 主角（有半身像）说话
CppScriptMgr:NpcCallOut("Got it! Victory will be ours!\n\n\n\n                                     Click ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, touxiang, 150, 430, hero:GetName(), 250, 655)
CppScriptMgr:WaitMilSec(1500)




